# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-07-11 12:03
from __future__ import unicode_literals

import core.models
import django.core.files.storage
from django.db import migrations, models
import django.utils.timezone
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Account',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='Email')),
                ('username', models.CharField(max_length=48, unique=True, verbose_name='Username')),
                ('first_name', models.CharField(blank=True, max_length=300, null=True, verbose_name='First name')),
                ('middle_name', models.CharField(blank=True, max_length=300, null=True, verbose_name='Middle name')),
                ('last_name', models.CharField(blank=True, max_length=300, null=True, verbose_name='Last name')),
                ('activation_code', models.CharField(blank=True, max_length=100, null=True)),
                ('salutation', models.CharField(blank=True, choices=[('Miss', 'Miss'), ('Ms', 'Ms'), ('Mrs', 'Mrs'), ('Mr', 'Mr'), ('Mx', 'Mx'), ('Dr', 'Dr'), ('Prof.', 'Prof.')], max_length=10, null=True, verbose_name='Salutation')),
                ('biography', models.TextField(blank=True, null=True, verbose_name='Biography')),
                ('orcid', models.CharField(blank=True, max_length=40, null=True, verbose_name='ORCiD')),
                ('institution', models.CharField(max_length=1000, verbose_name='Institution')),
                ('department', models.CharField(blank=True, max_length=300, null=True, verbose_name='Department')),
                ('twitter', models.CharField(blank=True, max_length=300, null=True, verbose_name='Twitter Handle')),
                ('facebook', models.CharField(blank=True, max_length=300, null=True, verbose_name='Facebook Handle')),
                ('linkedin', models.CharField(blank=True, max_length=300, null=True, verbose_name='Linkedin Profile')),
                ('website', models.URLField(blank=True, max_length=300, null=True, verbose_name='Website')),
                ('github', models.CharField(blank=True, max_length=300, null=True, verbose_name='Github Username')),
                ('profile_image', models.ImageField(blank=True, null=True, storage=django.core.files.storage.FileSystemStorage(location='/home/ajrbyers/code/janeway/src/media'), upload_to=core.models.profile_images_upload_path)),
                ('email_sent', models.DateTimeField(blank=True, null=True)),
                ('date_confirmed', models.DateTimeField(blank=True, null=True)),
                ('confirmation_code', models.CharField(blank=True, max_length=200, null=True)),
                ('signature', models.TextField(blank=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('is_staff', models.BooleanField(default=False)),
                ('is_admin', models.BooleanField(default=False)),
                ('enable_digest', models.BooleanField(default=False)),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='AccountRole',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('recipient', models.EmailField(max_length=200, verbose_name='Who would you like to contact?')),
                ('sender', models.EmailField(max_length=200, verbose_name='Your contact email address')),
                ('subject', models.CharField(max_length=300, verbose_name='Subject')),
                ('body', models.TextField(verbose_name='Your message')),
                ('client_ip', models.GenericIPAddressField()),
                ('date_sent', models.DateField(auto_now_add=True)),
                ('object_id', models.PositiveIntegerField(blank=True, null=True)),
            ],
            options={
                'verbose_name_plural': 'contact messages',
            },
        ),
        migrations.CreateModel(
            name='Contacts',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField(blank=True, null=True)),
                ('name', models.CharField(max_length=300)),
                ('email', models.EmailField(max_length=254)),
                ('role', models.CharField(max_length=200)),
                ('sequence', models.PositiveIntegerField(default=999)),
            ],
            options={
                'verbose_name_plural': 'contacts',
                'ordering': ('sequence', 'name'),
            },
        ),
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.TextField(max_length=5)),
                ('name', models.TextField(max_length=255)),
            ],
            options={
                'verbose_name_plural': 'countries',
                'ordering': ('name', 'code'),
            },
        ),
        migrations.CreateModel(
            name='DomainAlias',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('domain', models.CharField(max_length=255)),
                ('redirect', models.BooleanField(default=True, help_text='If enabled, the site will throw a 301 redirect to the master domain.', verbose_name='301')),
                ('site_id', models.PositiveIntegerField()),
            ],
            options={
                'verbose_name_plural': 'domain aliases',
            },
        ),
        migrations.CreateModel(
            name='EditorialGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=500)),
                ('description', models.TextField(blank=True, null=True)),
                ('sequence', models.PositiveIntegerField()),
            ],
            options={
                'ordering': ('sequence',),
            },
        ),
        migrations.CreateModel(
            name='EditorialGroupMember',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sequence', models.PositiveIntegerField()),
            ],
            options={
                'ordering': ('sequence',),
            },
        ),
        migrations.CreateModel(
            name='File',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('article_id', models.PositiveIntegerField(blank=True, null=True, verbose_name='Article PK')),
                ('mime_type', models.CharField(max_length=255)),
                ('original_filename', models.CharField(max_length=1000)),
                ('uuid_filename', models.CharField(max_length=100)),
                ('label', models.CharField(blank=True, max_length=200, null=True, verbose_name='Label')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('sequence', models.IntegerField(default=1)),
                ('privacy', models.CharField(choices=[('public', 'Public'), ('typesetters', 'Typesetters'), ('proofreaders', 'Proofreaders'), ('copyeditors', 'Copyedtiors'), ('editors', 'Editors'), ('owner', 'Owner')], default='owner', max_length=20)),
                ('date_uploaded', models.DateTimeField(auto_now_add=True)),
                ('date_modified', models.DateTimeField(auto_now=True)),
                ('is_galley', models.BooleanField(default=False)),
                ('is_remote', models.BooleanField(default=False)),
                ('remote_url', models.URLField(blank=True, null=True, verbose_name='Remote URL of file')),
            ],
            options={
                'ordering': ('sequence', 'pk'),
            },
        ),
        migrations.CreateModel(
            name='FileHistory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('article_id', models.PositiveIntegerField(blank=True, null=True, verbose_name='Article PK')),
                ('mime_type', models.CharField(max_length=255)),
                ('original_filename', models.CharField(max_length=1000)),
                ('uuid_filename', models.CharField(max_length=100)),
                ('label', models.CharField(blank=True, max_length=200, null=True, verbose_name='Label')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('sequence', models.IntegerField(default=1)),
                ('privacy', models.CharField(choices=[('public', 'Public'), ('typesetters', 'Typesetters'), ('proofreaders', 'Proofreaders'), ('copyeditors', 'Copyedtiors'), ('editors', 'Editors'), ('owner', 'Owner')], default='owner', max_length=20)),
                ('history_seq', models.PositiveIntegerField(default=0)),
            ],
            options={
                'ordering': ('history_seq',),
                'verbose_name_plural': 'file histories',
            },
        ),
        migrations.CreateModel(
            name='Galley',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_remote', models.BooleanField(default=False)),
                ('remote_file', models.URLField(blank=True, null=True)),
                ('label', models.CharField(max_length=400)),
                ('type', models.CharField(choices=[('pdf', 'PDF'), ('epub', 'EPUB'), ('html', 'HTML'), ('xml', 'XML'), ('doc', 'Word (Doc)'), ('docx', 'Word (DOCX)'), ('odt', 'OpenDocument Text Document'), ('tex', 'LaTeX'), ('rtf', 'RTF')], max_length=100)),
                ('sequence', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='HomepageElement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('configure_url', models.CharField(blank=True, max_length=200, null=True)),
                ('name', models.CharField(max_length=200)),
                ('template_path', models.CharField(max_length=500)),
                ('sequence', models.PositiveIntegerField(default=999)),
                ('object_id', models.PositiveIntegerField(blank=True, null=True)),
                ('available_to_press', models.BooleanField(default=False, help_text='Determines if this element is available for the press.')),
                ('active', models.BooleanField(default=False)),
                ('has_config', models.BooleanField(default=True)),
            ],
            options={
                'verbose_name_plural': 'Homepage Elements',
                'ordering': ('sequence', 'name'),
            },
        ),
        migrations.CreateModel(
            name='Interest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
            ],
        ),
        migrations.CreateModel(
            name='NewsItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField(blank=True, null=True)),
                ('title', models.CharField(max_length=500)),
                ('body', models.TextField()),
                ('posted', models.DateTimeField(default=django.utils.timezone.now)),
                ('start_display', models.DateField(default=django.utils.timezone.now)),
                ('end_display', models.DateField(blank=True, null=True)),
                ('sequence', models.PositiveIntegerField(default=0)),
            ],
            options={
                'ordering': ('-posted', 'title'),
            },
        ),
        migrations.CreateModel(
            name='OrcidToken',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('token', models.UUIDField(default=uuid.uuid4)),
                ('orcid', models.CharField(max_length=200)),
                ('expiry', models.DateTimeField(default=core.models.generate_expiry_date, verbose_name='Expires on')),
            ],
        ),
        migrations.CreateModel(
            name='PasswordResetToken',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('token', models.CharField(default=uuid.uuid4, max_length=300)),
                ('expiry', models.DateTimeField(default=core.models.generate_expiry_date, verbose_name='Expires on')),
                ('expired', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ['-expiry'],
            },
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, help_text='Display name for this role (can include spaces and capital letters)')),
                ('slug', models.CharField(max_length=100, help_text='Normalized string representing this role containing only lowercase letters and hyphens.')),
            ],
            options={
                'ordering': ('name', 'slug'),
            },
        ),
        migrations.CreateModel(
            name='Setting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('types', models.CharField(choices=[('rich-text', 'Rich Text'), ('text', 'Text'), ('char', 'Characters'), ('number', 'Number'), ('boolean', 'Boolean'), ('file', 'File'), ('select', 'Select'), ('json', 'JSON')], max_length=20)),
                ('pretty_name', models.CharField(default='', max_length=100)),
                ('description', models.TextField(blank=True, null=True)),
                ('is_translatable', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ('group', 'name'),
            },
        ),
        migrations.CreateModel(
            name='SettingGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('enabled', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='SettingValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SettingValueTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.TextField(blank=True, null=True)),
                ('language_code', models.CharField(db_index=True, max_length=15)),
            ],
            options={
                'db_table': 'core_settingvalue_translation',
                'db_tablespace': '',
                'managed': True,
                'abstract': False,
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField(blank=True, null=True)),
                ('title', models.CharField(max_length=300)),
                ('description', models.TextField()),
                ('link', models.TextField(blank=True, help_text='A url name, where the action of this task can undertaken', null=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('due', models.DateTimeField(blank=True, null=True)),
                ('completed', models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TaskCompleteEvents',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event_name', models.CharField(max_length=300)),
            ],
            options={
                'verbose_name_plural': 'task complete events',
            },
        ),
        migrations.CreateModel(
            name='Workflow',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='WorkflowElement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('element_name', models.CharField(max_length=255)),
                ('handshake_url', models.CharField(max_length=255)),
                ('stage', models.CharField(default='Unassigned', max_length=255)),
                ('order', models.PositiveIntegerField(default=20)),
            ],
            options={
                'ordering': ('order', 'element_name'),
            },
        ),
    ]
